=== crowdsecurity/cs-firewall-bouncer@v0.0.34/debian/control ===
Source: crowdsec-firewall-bouncer
Maintainer: Crowdsec Team <debian@crowdsec.net>
Build-Depends: debhelper
Section: admin
Priority: optional

Package: crowdsec-firewall-bouncer-iptables
Architecture: any
Description: Firewall bouncer for Crowdsec (iptables+ipset)
Depends: gettext-base, iptables, ipset
Replaces: crowdsec-firewall-bouncer
Conflicts: crowdsec-firewall-bouncer-nftables

Package: crowdsec-firewall-bouncer-nftables
Architecture: any
Description: Firewall bouncer for Crowdsec (nftables)
Depends: gettext-base, nftables
Replaces: crowdsec-firewall-bouncer
Conflicts: crowdsec-firewall-bouncer-iptables
